About ER source models (Database model)

Show me an example

To support database modeling in a team environment, Microsoft Visio includes the ER Source Model template. Use this template to create a new logical model when:

  • You want to break a large or complete model into smaller, easier-to-maintain submodels.
  • Individual team members need to develop and maintain different submodels on their own computers.
  • You want to design modular submodel documents for use in multiple projects.

Note In a model created with the ER Source Model template, you can reference external objects contained in other models.

By default, the ER Source Model template creates a stand-alone logical model, or submodel, which can be merged with other models to build a database project. Before you can generate a new database or update an existing database based on an ER source model, the ER source model must be associated with a database project.

Use the Update Source Model command when you make changes in the project's model and you want those changes to be written back to your ER source model.

Create an ER source model


Create an ER source model (Database model)

Show me an example

  1. On the File menu, point to New, point to Database, and then click ER Source Model.

A new, empty drawing page opens with the Entity Relationship and Object Relational stencils.

  2. To start your database model, you can:
  • Create a new model from scratch.
  • Use a reverse engineered model as a starting point to create a new database or to make changes to the existing database.
  • Import an existing model from PLATINUM ERwin, Microsoft Visio Professional 5.0, or VisioModeler (formerly InfoModeler) and refine it.
  3. Once you've started an ER source model, the real work of refining it begins. For example, you can add tables, views, and foreign key relationships to your model. You follow the same steps in refining your ER source model that you do when you create a database model.
  4. When you're satisfied with your ER source model, you can create a new project or add your model to an existing project.

Note Projects are created using the Database Model Diagram template.

  5. After you create a project file, you can do the following:
  • Whether you created a new model from scratch or reverse engineered an existing model, you can use the Generate Wizard to create a database schema.

You can generate a new database directly if your DBMS supports the direct creation of a new database. If your DBMS does not support direct creation, you must use a DDL script to create the physical database.

  • If you reverse engineered an existing database, you can use the Refresh Model Wizard to update your model based on changes to the physical database. In addition, you can use the Update Database Wizard to update the physical database based on changes you've made in your model.
  • You can refine the logical model in the project document and migrate any changes back to your ER source model document.
  6. Use the Report Wizard any time in the process to generate reports that document your design or communicate information about the database to a client.


Import VisioModeler .IML File dialog box

Click to show or hide information. File name

Specify the path for the file you want to import.

Click to show or hide information. Browse

Click to browse to the file you want to import.


ER source model example

Example of ER Source Model diagram with tables and relationships

Use the ER Source Model template to create submodels that include only a portion of your logical database model. To merge your submodels into one collective model, use the Database Model Diagram template to build a project.